<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="encryptFile_cast256" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2011-01-11 21:00:00 +0200 $</pubdate>
  </info>

  <refnamediv>
    <refname>encryptFile_cast256</refname>

    <refpurpose>CAST256 file encryption</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>encryptFile_cast256(inputFile, pKey, key, mode, iv, outputFile)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>This function encrypts a file using the CAST256 cipher. The key used by this cipher is then encoded following the RSA cipher.</para>

    <para>- "inputFile" is the file to encrypt</para><para>- "pKey" corresponds to the file containing the public key used by the RSA cipher</para><para>- "key" is the file containing the key used by the CAST256 cipher</para><para>- "mode" is an integer which correspond to a mode (enter "0" for ECB mode, "1" for CBC mode, "2" for OFB mode, "3" for CFB mode, "4" for CTR mode). If "mode" is replaced by "", the ECB mode will be used.</para><para>- "iv" is the initialization vector. No initialization vector is required for ECB mode (ie: enter "").</para><para>- "outputFile" is the name of the encrypted file. If "outputFile" corresponds to "", the default name "cipher" will be used.</para>

    <para>The results of this function are two files : "outputFile" and "cipherKey". "outputFile" is the encrypted version of "myFile" and "cipherKey" corresponds to the encoded key. Both files are created in the current directory.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">
    	keyGen_cast256("sampleKey", "sampleIV", "samplePublicKey", "samplePrivateKey")
    	encryptFile_cast256("sampleKey.sci", "samplePublicKey", "sampleKey", "0", "sampleIV", "encryptedKey")
    </programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Florent Lebeau</member>
    </simplelist>
  </refsection>
</refentry>

